Googleemm 2 endpoints

POST /google-emm/signup-urls

Creates a Google EMM enterprise signup URL.

Sample Request

curl -X POST https://console.jumpcloud.com/api/v2/google-emm/signup-urls \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}' \
operationId: SignupURLs_Create

Responses

200

A successful response.

POST /google-emm/signup-urls
POST /google-emm/web-tokens

Creates a web token to access an embeddable managed Google Play web UI for a given Google EMM enterprise.

Sample Request

curl -X POST https://console.jumpcloud.com/api/v2/google-emm/web-tokens \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}' \
operationId: WebTokens_CreateWebToken

Request Body

required
application/json
schema jumpcloud.google_emm.CreateWebTokenRequest
Property Type Required
iframeFeature string optional
parentFrameUrl string optional
enterpriseObjectId string optional

Responses

200

A successful response.

POST /google-emm/web-tokens

Graph 48 endpoints

GET /activedirectories/{activedirectory_id}/associations

This endpoint returns the direct associations of this Active Directory instance.

A direct association can be a non-homogeneous relationship between 2 different objects, for example Active Directory and Users.

Sample Request

curl -X GET 'https://console.jumpcloud.com/api/v2/activedirectories/{ActiveDirectory_ID}/associations?targets=user \
  -H 'accept: application/json' \
  -H 'content-type: application/json' \
  -H 'x-api-key: {API_KEY}'
operationId: graph_activeDirectoryAssociationsList

Parameters

Name In Required Type Description
activedirectory_id path required string
targets query optional array

Targets which a “active_directory” can be associated to.

limit query optional integer

The number of records to return at once. Limited to 100.

skip query optional integer

The offset into the records to return.

x-org-id header optional string

Organization identifier that can be obtained from console settings.

Responses

200
GET /activedirectories/{activedirectory_id}/associations
POST /activedirectories/{activedirectory_id}/associations

This endpoint allows you to manage the direct associations of an Active Directory instance.

A direct association can be a non-homogeneous relationship between 2 different objects, for example Active Directory and Users.

Sample Request

curl -X POST https://console.jumpcloud.com/api/v2/activedirectories/{AD_Instance_ID}/associations \
  -H 'accept: application/json' \
  -H 'content-type: application/json' \
  -H 'x-api-key: {API_KEY}' \
  -d '{
    "op": "add",
    "type": "user",
    "id": "{User_ID}"
  }'
operationId: graph_activeDirectoryAssociationsPost

Parameters

Name In Required Type Description
activedirectory_id path required string
x-org-id header optional string

Organization identifier that can be obtained from console settings.

Request Body

application/json
schema GraphOperation-ActiveDirectory
Property Type Required
id string required
op string required
type string required
attributes object optional

Responses

204
POST /activedirectories/{activedirectory_id}/associations
GET /activedirectories/{activedirectory_id}/usergroups

This endpoint will return all Users Groups bound to an Active Directory instance, either directly or indirectly, essentially traversing the JumpCloud Graph for your Organization.

Each element will contain the group’s type, id, attributes and paths.

The attributes object is a key/value hash of compiled graph attributes for all paths followed.

The paths array enumerates each path from this Active Directory instance to the corresponding User Group; this array represents all grouping and/or associations that would have to be removed to deprovision the User Group from this Active Directory instance.

See /members and /associations endpoints to manage those collections.

Sample Request

curl -X GET https://console.jumpcloud.com/api/v2/activedirectories/{ActiveDirectory_ID}/usergroups \
  -H 'accept: application/json' \
  -H 'content-type: application/json' \
  -H 'x-api-key: {API_KEY}'
operationId: graph_activeDirectoryTraverseUserGroup

Parameters

Name In Required Type Description
activedirectory_id path required string

ObjectID of the Active Directory instance.

limit query optional integer

The number of records to return at once. Limited to 100.

x-org-id header optional string

Organization identifier that can be obtained from console settings.

skip query optional integer

The offset into the records to return.

filter query optional array

A filter to apply to the query.

Filter structure: <field>:<operator>:<value>.

field = Populate with a valid field from an endpoint response.

operator = Supported operators are: eq, ne, gt, ge, lt, le, between, search, in.
Note: v1 operators differ from v2 operators.

value = Populate with the value you want to search for. Is case sensitive. Supports wild cards.

EX: GET /api/v2/groups?filter=name:eq:Test+Group

Responses

200
GET /activedirectories/{activedirectory_id}/usergroups
GET /activedirectories/{activedirectory_id}/users

This endpoint will return all Users bound to an Active Directory instance, either directly or indirectly, essentially traversing the JumpCloud Graph for your Organization.

Each element will contain the type, id, attributes and paths.

The attributes object is a key/value hash of compiled graph attributes for all paths followed.

The paths array enumerates each path from this Active Directory instance to the corresponding User; this array represents all grouping and/or associations that would have to be removed to deprovision the User from this Active Directory instance.

See /members and /associations endpoints to manage those collections.

Sample Request

curl -X GET https://console.jumpcloud.com/api/v2/activedirectories/{ActiveDirectory_ID}/users \
  -H 'accept: application/json' \
  -H 'content-type: application/json' \
  -H 'x-api-key: {API_KEY}'
operationId: graph_activeDirectoryTraverseUser

Parameters

Name In Required Type Description
activedirectory_id path required string

ObjectID of the Active Directory instance.

filter query optional array

A filter to apply to the query.

Filter structure: <field>:<operator>:<value>.

field = Populate with a valid field from an endpoint response.

operator = Supported operators are: eq, ne, gt, ge, lt, le, between, search, in.
Note: v1 operators differ from v2 operators.

value = Populate with the value you want to search for. Is case sensitive. Supports wild cards.

EX: GET /api/v2/groups?filter=name:eq:Test+Group

limit query optional integer

The number of records to return at once. Limited to 100.

x-org-id header optional string

Organization identifier that can be obtained from console settings.

skip query optional integer

The offset into the records to return.

Responses

200
GET /activedirectories/{activedirectory_id}/users
GET /applications/{application_id}/associations

This endpoint will return the direct associations of an Application. A direct association can be a non-homogeneous relationship between 2 different objects, for example Applications and User Groups.

Sample Request

curl -X GET 'https://console.jumpcloud.com/api/v2/applications/{Application_ID}/associations?targets=user_group \
  -H 'accept: application/json' \
  -H 'content-type: application/json' \
  -H 'x-api-key: {API_KEY}'
operationId: graph_applicationAssociationsList

Parameters

Name In Required Type Description
application_id path required string

ObjectID of the Application.

targets query optional array

Targets which a “application” can be associated to.

limit query optional integer

The number of records to return at once. Limited to 100.

skip query optional integer

The offset into the records to return.

x-org-id header optional string

Organization identifier that can be obtained from console settings.

Responses

200

OK

GET /applications/{application_id}/associations
POST /applications/{application_id}/associations

This endpoint allows you to manage the direct associations of an Application. A direct association can be a non-homogeneous relationship between 2 different objects, for example Application and User Groups.

Sample Request

curl -X POST 'https://console.jumpcloud.com/api/v2/applications/{Application_ID}/associations' \
  -H 'accept: application/json' \
  -H 'content-type: application/json' \
  -H 'x-api-key: {API_KEY}' \
  -d '{
    "op": "add",
    "type": "user_group",
    "id": "{Group_ID}"
  }'
operationId: graph_applicationAssociationsPost

Parameters

Name In Required Type Description
application_id path required string

ObjectID of the Application.

x-org-id header optional string

Organization identifier that can be obtained from console settings.

Request Body

application/json
schema GraphOperation-Application
Property Type Required
id string required
op string required
type string required
attributes object optional

Responses

204

OK

POST /applications/{application_id}/associations
GET /applications/{application_id}/usergroups

This endpoint will return all Users Groups bound to an Application, either directly or indirectly, essentially traversing the JumpCloud Graph for your Organization.

Each element will contain the group’s type, id, attributes and paths.

The attributes object is a key/value hash of compiled graph attributes for all paths followed.

The paths array enumerates each path from this Application to the corresponding User Group; this array represents all grouping and/or associations that would have to be removed to deprovision the User Group from this Application.

See /members and /associations endpoints to manage those collections.

Sample Request

curl -X GET https://console.jumpcloud.com/api/v2/applications/{Application_ID}/usergroups \
  -H 'accept: application/json' \
  -H 'content-type: application/json' \
  -H 'x-api-key: {API_KEY}'
operationId: graph_applicationTraverseUserGroup

Parameters

Name In Required Type Description
application_id path required string

ObjectID of the Application.

limit query optional integer

The number of records to return at once. Limited to 100.

x-org-id header optional string

Organization identifier that can be obtained from console settings.

skip query optional integer

The offset into the records to return.

filter query optional array

A filter to apply to the query.

Filter structure: <field>:<operator>:<value>.

field = Populate with a valid field from an endpoint response.

operator = Supported operators are: eq, ne, gt, ge, lt, le, between, search, in.
Note: v1 operators differ from v2 operators.

value = Populate with the value you want to search for. Is case sensitive. Supports wild cards.

EX: GET /api/v2/groups?filter=name:eq:Test+Group

Responses

200

OK

GET /applications/{application_id}/usergroups
GET /applications/{application_id}/users

This endpoint will return all Users bound to an Application, either directly or indirectly, essentially traversing the JumpCloud Graph for your Organization.

Each element will contain the type, id, attributes and paths.

The attributes object is a key/value hash of compiled graph attributes for all paths followed.

The paths array enumerates each path from this Application to the corresponding User; this array represents all grouping and/or associations that would have to be removed to deprovision the User from this Application.

See /members and /associations endpoints to manage those collections.

Sample Request

curl -X GET https://console.jumpcloud.com/api/v2/applications/{Application_ID}/users \
  -H 'accept: application/json' \
  -H 'content-type: application/json' \
  -H 'x-api-key: {API_KEY}'
operationId: graph_applicationTraverseUser

Parameters

Name In Required Type Description
application_id path required string

ObjectID of the Application.

limit query optional integer

The number of records to return at once. Limited to 100.

x-org-id header optional string

Organization identifier that can be obtained from console settings.

skip query optional integer

The offset into the records to return.

filter query optional array

A filter to apply to the query.

Filter structure: <field>:<operator>:<value>.

field = Populate with a valid field from an endpoint response.

operator = Supported operators are: eq, ne, gt, ge, lt, le, between, search, in.
Note: v1 operators differ from v2 operators.

value = Populate with the value you want to search for. Is case sensitive. Supports wild cards.

EX: GET /api/v2/groups?filter=name:eq:Test+Group

Responses

200

OK

GET /applications/{application_id}/users
GET /commands/{command_id}/associations

This endpoint will return the direct associations of this Command.

A direct association can be a non-homogeneous relationship between 2 different objects, for example Commands and User Groups.

Sample Request

curl -X GET https://console.jumpcloud.com/api/v2/commands/{Command_ID}/associations?targets=system_group \
  -H 'accept: application/json' \
  -H 'content-type: application/json' \
  -H 'x-api-key: {API_KEY}'
operationId: graph_commandAssociationsList

Parameters

Name In Required Type Description
command_id path required string

ObjectID of the Command.

targets query optional array

Targets which a “command” can be associated to.

limit query optional integer

The number of records to return at once. Limited to 100.

skip query optional integer

The offset into the records to return.

x-org-id header optional string

Organization identifier that can be obtained from console settings.

Responses

200

OK

GET /commands/{command_id}/associations
POST /commands/{command_id}/associations

This endpoint will allow you to manage the direct associations of this Command.

A direct association can be a non-homogeneous relationship between 2 different objects, for example Commands and User Groups.

Sample Request

 curl -X POST https://console.jumpcloud.com/api/v2/commands/{Command_ID}/associations \
  -H 'accept: application/json' \
  -H 'content-type: application/json' \
  -H 'x-api-key: {API_KEY}' \
  -d '{
    "op": "add",
    "type": "system_group",
    "id": "Group_ID"
  }'
operationId: graph_commandAssociationsPost

Parameters

Name In Required Type Description
command_id path required string

ObjectID of the Command.

x-org-id header optional string

Organization identifier that can be obtained from console settings.

Request Body

application/json
schema GraphOperation-Command
Property Type Required
id string required
op string required
type string required
attributes object optional

Responses

204

OK

POST /commands/{command_id}/associations
GET /commands/{command_id}/systemgroups

This endpoint will return all System Groups bound to a Command, either directly or indirectly, essentially traversing the JumpCloud Graph for your Organization.

Each element will contain the group’s type, id, attributes and paths.

The attributes object is a key/value hash of compiled graph attributes for all paths followed.

The paths array enumerates each path from this Command to the corresponding System Group; this array represents all grouping and/or associations that would have to be removed to deprovision the System Group from this Command.

See /members and /associations endpoints to manage those collections.

Sample Request

curl -X GET https://console.jumpcloud.com/api/v2/commands/{Command_ID}/systemgroups \
  -H 'accept: application/json' \
  -H 'content-type: application/json' \
  -H 'x-api-key: {API_KEY}'
operationId: graph_commandTraverseSystemGroup

Parameters

Name In Required Type Description
command_id path required string

ObjectID of the Command.

limit query optional integer

The number of records to return at once. Limited to 100.

x-org-id header optional string

Organization identifier that can be obtained from console settings.

skip query optional integer

The offset into the records to return.

filter query optional array

A filter to apply to the query.

Filter structure: <field>:<operator>:<value>.

field = Populate with a valid field from an endpoint response.

operator = Supported operators are: eq, ne, gt, ge, lt, le, between, search, in.
Note: v1 operators differ from v2 operators.

value = Populate with the value you want to search for. Is case sensitive. Supports wild cards.

EX: GET /api/v2/groups?filter=name:eq:Test+Group

Responses

200

OK

GET /commands/{command_id}/systemgroups
GET /commands/{command_id}/systems

This endpoint will return all Systems bound to a Command, either directly or indirectly, essentially traversing the JumpCloud Graph for your Organization.

Each element will contain the type, id, attributes and paths.

The attributes object is a key/value hash of compiled graph attributes for all paths followed.

The paths array enumerates each path from this Command to the corresponding System; this array represents all grouping and/or associations that would have to be removed to deprovision the System from this Command.

See /members and /associations endpoints to manage those collections.

Sample Request

curl -X GET https://console.jumpcloud.com/api/v2/commands/{Command_ID}/systems \
  -H 'accept: application/json' \
  -H 'content-type: application/json' \
  -H 'x-api-key: {API_KEY}'
operationId: graph_commandTraverseSystem

Parameters

Name In Required Type Description
command_id path required string

ObjectID of the Command.

limit query optional integer

The number of records to return at once. Limited to 100.

x-org-id header optional string

Organization identifier that can be obtained from console settings.

skip query optional integer

The offset into the records to return.

filter query optional array

A filter to apply to the query.

Filter structure: <field>:<operator>:<value>.

field = Populate with a valid field from an endpoint response.

operator = Supported operators are: eq, ne, gt, ge, lt, le, between, search, in.
Note: v1 operators differ from v2 operators.

value = Populate with the value you want to search for. Is case sensitive. Supports wild cards.

EX: GET /api/v2/groups?filter=name:eq:Test+Group

Responses

200

OK

GET /commands/{command_id}/systems
GET /gsuites/{gsuite_id}/associations

This endpoint returns the direct associations of this G Suite instance.

A direct association can be a non-homogeneous relationship between 2 different objects, for example G Suite and Users.

Sample Request

curl -X GET 'https://console.jumpcloud.com/api/v2/gsuites/{Gsuite_ID}/associations?targets=user_group \
  -H 'accept: application/json' \
  -H 'content-type: application/json' \
  -H 'x-api-key: {API_KEY}'
operationId: graph_gSuiteAssociationsList

Parameters

Name In Required Type Description
gsuite_id path required string

ObjectID of the G Suite instance.

targets query optional array

Targets which a “g_suite” can be associated to.

limit query optional integer

The number of records to return at once. Limited to 100.

skip query optional integer

The offset into the records to return.

x-org-id header optional string

Organization identifier that can be obtained from console settings.

Responses

200

OK

GET /gsuites/{gsuite_id}/associations
POST /gsuites/{gsuite_id}/associations

This endpoint returns the direct associations of this G Suite instance.

A direct association can be a non-homogeneous relationship between 2 different objects, for example G Suite and Users.

Sample Request

curl -X POST https://console.jumpcloud.com/api/v2/gsuites/{Gsuite_ID}/associations \
  -H 'accept: application/json' \
  -H 'content-type: application/json' \
  -H 'x-api-key: {API_KEY}' \
  -d '{
    "op": "add",
    "type": "user_group",
    "id": "{Group_ID}"
  }'
operationId: graph_gSuiteAssociationsPost

Parameters

Name In Required Type Description
gsuite_id path required string

ObjectID of the G Suite instance.

x-org-id header optional string

Organization identifier that can be obtained from console settings.

Request Body

application/json
schema GraphOperation-GSuite
Property Type Required
id string required
op string required
type string required
attributes object optional

Responses

204

OK

POST /gsuites/{gsuite_id}/associations
GET /gsuites/{gsuite_id}/usergroups

This endpoint will return all User Groups bound to an G Suite instance, either directly or indirectly, essentially traversing the JumpCloud Graph for your Organization.

Each element will contain the group’s type, id, attributes and paths.

The attributes object is a key/value hash of compiled graph attributes for all paths followed.

The paths array enumerates each path from this G Suite instance to the corresponding User Group; this array represents all grouping and/or associations that would have to be removed to deprovision the User Group from this G Suite instance.

See /members and /associations endpoints to manage those collections.

Sample Request

  curl -X GET https://console.jumpcloud.com/api/v2/gsuites/{GSuite_ID}/usergroups \
  -H 'accept: application/json' \
  -H 'content-type: application/json' \
  -H 'x-api-key: {API_KEY}'
operationId: graph_gSuiteTraverseUserGroup

Parameters

Name In Required Type Description
gsuite_id path required string

ObjectID of the G Suite instance.

limit query optional integer

The number of records to return at once. Limited to 100.

x-org-id header optional string

Organization identifier that can be obtained from console settings.

skip query optional integer

The offset into the records to return.

filter query optional array

A filter to apply to the query.

Filter structure: <field>:<operator>:<value>.

field = Populate with a valid field from an endpoint response.

operator = Supported operators are: eq, ne, gt, ge, lt, le, between, search, in.
Note: v1 operators differ from v2 operators.

value = Populate with the value you want to search for. Is case sensitive. Supports wild cards.

EX: GET /api/v2/groups?filter=name:eq:Test+Group

Responses

200

OK

GET /gsuites/{gsuite_id}/usergroups
GET /gsuites/{gsuite_id}/users

This endpoint will return all Users bound to a G Suite instance, either directly or indirectly, essentially traversing the JumpCloud Graph for your Organization.

Each element will contain the type, id, attributes and paths.

The attributes object is a key/value hash of compiled graph attributes for all paths followed.

The paths array enumerates each path from this G Suite instance to the corresponding User; this array represents all grouping and/or associations that would have to be removed to deprovision the User from this G Suite instance.

See /members and /associations endpoints to manage those collections.

Sample Request

  curl -X GET https://console.jumpcloud.com/api/v2/gsuites/{Gsuite_ID}/users \
  -H 'accept: application/json' \
  -H 'content-type: application/json' \
  -H 'x-api-key: {API_KEY}'
operationId: graph_gSuiteTraverseUser

Parameters

Name In Required Type Description
gsuite_id path required string

ObjectID of the G Suite instance.

limit query optional integer

The number of records to return at once. Limited to 100.

x-org-id header optional string

Organization identifier that can be obtained from console settings.

skip query optional integer

The offset into the records to return.

filter query optional array

A filter to apply to the query.

Filter structure: <field>:<operator>:<value>.

field = Populate with a valid field from an endpoint response.

operator = Supported operators are: eq, ne, gt, ge, lt, le, between, search, in.
Note: v1 operators differ from v2 operators.

value = Populate with the value you want to search for. Is case sensitive. Supports wild cards.

EX: GET /api/v2/groups?filter=name:eq:Test+Group

Responses

200

OK

GET /gsuites/{gsuite_id}/users
GET /identity-provider/policies/{idp_routing_policy_id}/associations

This endpoint returns the direct associations of a Routing Policy.

A direct association can be a non-homogeneous relationship between 2 different objects, for example a Routing Policy and Users.

Sample Request

curl -X GET https://console.jumpcloud.com/api/v2/identity-provider/policies/{IDP_ROUTING_POLICY_ID}/associations?targets=user_group \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}'
operationId: graph_idpRoutingPolicyAssociationsList

Parameters

Name In Required Type Description
idp_routing_policy_id path required string

ObjectID of the Routing Policy.

targets query optional array

Targets which a “idp_routing_policy” can be associated to.

limit query optional integer

The number of records to return at once. Limited to 100.

skip query optional integer

The offset into the records to return.

x-org-id header optional string

Organization identifier that can be obtained from console settings.

Responses

200

OK

GET /identity-provider/policies/{idp_routing_policy_id}/associations
POST /identity-provider/policies/{idp_routing_policy_id}/associations

This endpoint manages the direct associations of a Routing Policy.

A direct association can be a non-homogeneous relationship between 2 different objects, for example a Routing Policy and Users.

Sample Request

curl -X POST https://console.jumpcloud.com/api/v2/identity-provider/policies/{IDP_ROUTING_POLICY_ID}/associations?targets=user \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}'
  -d '{"type":"user", "id":"{USER_ID}", "op":"add"}'
operationId: graph_idpRoutingPolicyAssociationsPost

Parameters

Name In Required Type Description
idp_routing_policy_id path required string

ObjectID of the Routing Policy.

x-org-id header optional string

Organization identifier that can be obtained from console settings.

Request Body

application/json
schema GraphOperation-IDPRoutingPolicy
Property Type Required
id string required
op string required
type string required
attributes object optional

Responses

204

OK

POST /identity-provider/policies/{idp_routing_policy_id}/associations
GET /identity-provider/policies/{idp_routing_policy_id}/associations/usergroups

This endpoint will return all Users Groups bound to a routing policy, either directly or indirectly, essentially traversing the JumpCloud Graph for your Organization.

Each element will contain the group’s type, id, attributes and paths.

The attributes object is a key/value hash of compiled graph attributes for all paths followed.

The paths array enumerates each path from this routing policy instance to the corresponding User Group; this array represents all grouping and/or associations that would have to be removed to deprovision the User Group from this routing policy.

See /members and /associations endpoints to manage those collections.

Sample Request

curl -X GET https://console.jumpcloud.com/api/v2/identity-provider/policies/{id}/associations/usergroups \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}'
operationId: graph_idpRoutingPolicyTraverseUserGroup

Parameters

Name In Required Type Description
idp_routing_policy_id path required string

ObjectID of the Routing Policy.

limit query optional integer

The number of records to return at once. Limited to 100.

x-org-id header optional string

Organization identifier that can be obtained from console settings.

skip query optional integer

The offset into the records to return.

filter query optional array

A filter to apply to the query.

Filter structure: <field>:<operator>:<value>.

field = Populate with a valid field from an endpoint response.

operator = Supported operators are: eq, ne, gt, ge, lt, le, between, search, in.
Note: v1 operators differ from v2 operators.

value = Populate with the value you want to search for. Is case sensitive. Supports wild cards.

EX: GET /api/v2/groups?filter=name:eq:Test+Group

Responses

200

OK

GET /identity-provider/policies/{idp_routing_policy_id}/associations/usergroups
GET /identity-provider/policies/{idp_routing_policy_id}/associations/users

This endpoint will return all Users bound to a routing policy, either directly or indirectly, essentially traversing the JumpCloud Graph for your Organization.

Each element will contain the type, id, attributes and paths.

The attributes object is a key/value hash of compiled graph attributes for all paths followed.

The paths array enumerates each path from this routing policy to the corresponding User; this array represents all grouping and/or associations that would have to be removed to deprovision the User from this routing policy.

See /members and /associations endpoints to manage those collections.

Sample Request

curl -X GET https://console.jumpcloud.com/api/v2/identity-provider/policies/{id}/associations/users \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}'
operationId: graph_idpRoutingPolicyTraverseUser

Parameters

Name In Required Type Description
idp_routing_policy_id path required string

ObjectID of the Routing Policy.

limit query optional integer

The number of records to return at once. Limited to 100.

x-org-id header optional string

Organization identifier that can be obtained from console settings.

skip query optional integer

The offset into the records to return.

filter query optional array

A filter to apply to the query.

Filter structure: <field>:<operator>:<value>.

field = Populate with a valid field from an endpoint response.

operator = Supported operators are: eq, ne, gt, ge, lt, le, between, search, in.
Note: v1 operators differ from v2 operators.

value = Populate with the value you want to search for. Is case sensitive. Supports wild cards.

EX: GET /api/v2/groups?filter=name:eq:Test+Group

Responses

200

OK

GET /identity-provider/policies/{idp_routing_policy_id}/associations/users
GET /ldapservers/{ldapserver_id}/associations

This endpoint returns the direct associations of this LDAP Server.

A direct association can be a non-homogeneous relationship between 2 different objects, for example LDAP and Users.

Sample Request

 curl -X GET 'https://console.jumpcloud.com/api/v2/ldapservers/{LDAP_ID}/associations?targets=user_group \
  -H 'accept: application/json' \
  -H 'content-type: application/json' \
  -H 'x-api-key: {API_KEY}'
operationId: graph_ldapServerAssociationsList

Parameters

Name In Required Type Description
ldapserver_id path required string

ObjectID of the LDAP Server.

targets query optional array

Targets which a “ldap_server” can be associated to.

limit query optional integer

The number of records to return at once. Limited to 100.

skip query optional integer

The offset into the records to return.

x-org-id header optional string

Organization identifier that can be obtained from console settings.

Responses

200

OK

GET /ldapservers/{ldapserver_id}/associations
POST /ldapservers/{ldapserver_id}/associations

This endpoint allows you to manage the direct associations of a LDAP Server.

A direct association can be a non-homogeneous relationship between 2 different objects, for example LDAP and Users.

Sample Request

curl -X POST https://console.jumpcloud.com/api/v2/ldapservers/{LDAP_ID}/associations \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}' \
  -d '{
    "op": "add",
    "type": "user",
    "id": "{User_ID}"
  }'
operationId: graph_ldapServerAssociationsPost

Parameters

Name In Required Type Description
ldapserver_id path required string

ObjectID of the LDAP Server.

x-org-id header optional string

Organization identifier that can be obtained from console settings.

Request Body

application/json
schema GraphOperation-LdapServer
Property Type Required
id string required
op string required
type string required
attributes object optional

Responses

204

OK

POST /ldapservers/{ldapserver_id}/associations
GET /ldapservers/{ldapserver_id}/usergroups

This endpoint will return all Users Groups bound to a LDAP Server, either directly or indirectly, essentially traversing the JumpCloud Graph for your Organization.

Each element will contain the group’s type, id, attributes and paths.

The attributes object is a key/value hash of compiled graph attributes for all paths followed.

The paths array enumerates each path from this LDAP server instance to the corresponding User Group; this array represents all grouping and/or associations that would have to be removed to deprovision the User Group from this LDAP server instance.

See /members and /associations endpoints to manage those collections.

Sample Request

curl -X GET https://console.jumpcloud.com/api/v2/ldapservers/{LDAP_ID}/usergroups \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}'
operationId: graph_ldapServerTraverseUserGroup

Parameters

Name In Required Type Description
ldapserver_id path required string

ObjectID of the LDAP Server.

limit query optional integer

The number of records to return at once. Limited to 100.

x-org-id header optional string

Organization identifier that can be obtained from console settings.

skip query optional integer

The offset into the records to return.

filter query optional array

A filter to apply to the query.

Filter structure: <field>:<operator>:<value>.

field = Populate with a valid field from an endpoint response.

operator = Supported operators are: eq, ne, gt, ge, lt, le, between, search, in.
Note: v1 operators differ from v2 operators.

value = Populate with the value you want to search for. Is case sensitive. Supports wild cards.

EX: GET /api/v2/groups?filter=name:eq:Test+Group

Responses

200

OK

GET /ldapservers/{ldapserver_id}/usergroups
GET /ldapservers/{ldapserver_id}/users

This endpoint will return all Users bound to an LDAP Server, either directly or indirectly, essentially traversing the JumpCloud Graph for your Organization.

Each element will contain the type, id, attributes and paths.

The attributes object is a key/value hash of compiled graph attributes for all paths followed.

The paths array enumerates each path from this LDAP server instance to the corresponding User; this array represents all grouping and/or associations that would have to be removed to deprovision the User from this LDAP server instance.

See /members and /associations endpoints to manage those collections.

Sample Request

curl -X GET https://console.jumpcloud.com/api/v2/ldapservers/{LDAP_ID}/users \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}'
operationId: graph_ldapServerTraverseUser

Parameters

Name In Required Type Description
ldapserver_id path required string

ObjectID of the LDAP Server.

limit query optional integer

The number of records to return at once. Limited to 100.

x-org-id header optional string

Organization identifier that can be obtained from console settings.

skip query optional integer

The offset into the records to return.

filter query optional array

A filter to apply to the query.

Filter structure: <field>:<operator>:<value>.

field = Populate with a valid field from an endpoint response.

operator = Supported operators are: eq, ne, gt, ge, lt, le, between, search, in.
Note: v1 operators differ from v2 operators.

value = Populate with the value you want to search for. Is case sensitive. Supports wild cards.

EX: GET /api/v2/groups?filter=name:eq:Test+Group

Responses

200

OK

GET /ldapservers/{ldapserver_id}/users
GET /office365s/{office365_id}/associations

This endpoint returns direct associations of an Office 365 instance.

A direct association can be a non-homogeneous relationship between 2 different objects, for example Office 365 and Users.

Sample Request

curl -X GET 'https://console.jumpcloud.com/api/v2/office365s/{OFFICE365_ID}/associations?targets=user_group' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}'

operationId: graph_office365AssociationsList

Parameters

Name In Required Type Description
office365_id path required string

ObjectID of the Office 365 instance.

targets query optional array

Targets which a “office_365” can be associated to.

limit query optional integer

The number of records to return at once. Limited to 100.

skip query optional integer

The offset into the records to return.

x-org-id header optional string

Organization identifier that can be obtained from console settings.

Responses

200

OK

GET /office365s/{office365_id}/associations
POST /office365s/{office365_id}/associations

This endpoint allows you to manage the direct associations of a Office 365 instance.

A direct association can be a non-homogeneous relationship between 2 different objects, for example Office 365 and Users.

Sample Request

curl -X POST https://console.jumpcloud.com/api/v2/office365s/{OFFICE365_ID}/associations \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}' \
  -d '{
    "op": "add",
    "type": "user_group",
    "id": "{Group_ID}"
  }'
operationId: graph_office365AssociationsPost

Parameters

Name In Required Type Description
office365_id path required string

ObjectID of the Office 365 instance.

x-org-id header optional string

Organization identifier that can be obtained from console settings.

Request Body

application/json
schema GraphOperation-Office365
Property Type Required
id string required
op string required
type string required
attributes object optional

Responses

204

OK

POST /office365s/{office365_id}/associations
GET /office365s/{office365_id}/usergroups

This endpoint will return all Users Groups bound to an Office 365 instance, either directly or indirectly, essentially traversing the JumpCloud Graph for your Organization.

Each element will contain the group’s type, id, attributes and paths.

The attributes object is a key/value hash of compiled graph attributes for all paths followed.

The paths array enumerates each path from this Office 365 instance to the corresponding User Group; this array represents all grouping and/or associations that would have to be removed to deprovision the User Group from this Office 365 instance.

See /members and /associations endpoints to manage those collections.

Sample Request

  curl -X GET https://console.jumpcloud.com/api/v2/office365s/{OFFICE365_ID/usergroups \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}'
operationId: graph_office365TraverseUserGroup

Parameters

Name In Required Type Description
office365_id path required string

ObjectID of the Office 365 suite.

limit query optional integer

The number of records to return at once. Limited to 100.

x-org-id header optional string

Organization identifier that can be obtained from console settings.

skip query optional integer

The offset into the records to return.

filter query optional array

A filter to apply to the query.

Filter structure: <field>:<operator>:<value>.

field = Populate with a valid field from an endpoint response.

operator = Supported operators are: eq, ne, gt, ge, lt, le, between, search, in.
Note: v1 operators differ from v2 operators.

value = Populate with the value you want to search for. Is case sensitive. Supports wild cards.

EX: GET /api/v2/groups?filter=name:eq:Test+Group

Responses

200

OK

GET /office365s/{office365_id}/usergroups
GET /office365s/{office365_id}/users

This endpoint will return all Users bound to an Office 365 instance, either directly or indirectly, essentially traversing the JumpCloud Graph for your Organization.

Each element will contain the type, id, attributes and paths.

The attributes object is a key/value hash of compiled graph attributes for all paths followed.

The paths array enumerates each path from this Office 365 instance to the corresponding User; this array represents all grouping and/or associations that would have to be removed to deprovision the User from this Office 365 instance.

See /members and /associations endpoints to manage those collections.

Sample Request

curl -X GET https://console.jumpcloud.com/api/v2/office365s/{OFFICE365_ID}/users \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}'
operationId: graph_office365TraverseUser

Parameters

Name In Required Type Description
office365_id path required string

ObjectID of the Office 365 suite.

limit query optional integer

The number of records to return at once. Limited to 100.

x-org-id header optional string

Organization identifier that can be obtained from console settings.

skip query optional integer

The offset into the records to return.

filter query optional array

A filter to apply to the query.

Filter structure: <field>:<operator>:<value>.

field = Populate with a valid field from an endpoint response.

operator = Supported operators are: eq, ne, gt, ge, lt, le, between, search, in.
Note: v1 operators differ from v2 operators.

value = Populate with the value you want to search for. Is case sensitive. Supports wild cards.

EX: GET /api/v2/groups?filter=name:eq:Test+Group

Responses

200

OK

GET /office365s/{office365_id}/users
GET /policies/{policy_id}/associations

This endpoint returns the direct associations of a Policy.

A direct association can be a non-homogeneous relationship between 2 different objects, for example Policies and Systems.

Sample Request

curl -X GET 'https://console.jumpcloud.com/api/v2/policies/{Policy_ID}/associations?targets=system_group \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}'
operationId: graph_policyAssociationsList

Parameters

Name In Required Type Description
policy_id path required string

ObjectID of the Policy.

targets query optional array

Targets which a “policy” can be associated to.

limit query optional integer

The number of records to return at once. Limited to 100.

skip query optional integer

The offset into the records to return.

x-org-id header optional string

Organization identifier that can be obtained from console settings.

Responses

200

OK

GET /policies/{policy_id}/associations
POST /policies/{policy_id}/associations

This endpoint allows you to manage the direct associations of a Policy.

A direct association can be a non-homogeneous relationship between 2 different objects, for example Policies and Systems.

Sample Request

curl -X POST https://console.jumpcloud.com/api/v2/policies/{Policy_ID}/associations/ \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}' \
  -d '{
    "op": "add",
    "type": "system_group",
    "id": "{Group_ID}"
  }'
operationId: graph_policyAssociationsPost

Parameters

Name In Required Type Description
policy_id path required string

ObjectID of the Policy.

x-org-id header optional string

Organization identifier that can be obtained from console settings.

Request Body

application/json
schema GraphOperation-Policy
Property Type Required
id string required
op string required
type string required
attributes object optional

Responses

204
POST /policies/{policy_id}/associations
GET /policies/{policy_id}/memberof

This endpoint returns all the Policy Groups a Policy is a member of.

Sample Request

curl -X GET https://console.jumpcloud.com/api/v2/policies/{Policy_ID}/memberof \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}'

operationId: graph_policyMemberOf

Parameters

Name In Required Type Description
policy_id path required string

ObjectID of the Policy.

filter query optional array

A filter to apply to the query.

Filter structure: <field>:<operator>:<value>.

field = Populate with a valid field from an endpoint response.

operator = Supported operators are: eq, ne, gt, ge, lt, le, between, search, in.
Note: v1 operators differ from v2 operators.

value = Populate with the value you want to search for. Is case sensitive. Supports wild cards.

EX: GET /api/v2/groups?filter=name:eq:Test+Group

limit query optional integer

The number of records to return at once. Limited to 100.

skip query optional integer

The offset into the records to return.

Date header optional string

Current date header for the System Context API

Authorization header optional string

Authorization header for the System Context API

sort query optional array

The comma separated fields used to sort the collection.
Default sort is ascending, prefix with - to sort descending.

x-org-id header optional string

Organization identifier that can be obtained from console settings.

Responses

200

OK

GET /policies/{policy_id}/memberof
GET /policies/{policy_id}/systemgroups

This endpoint will return all Systems Groups bound to a Policy, either directly or indirectly, essentially traversing the JumpCloud Graph for your Organization.

Each element will contain the group’s type, id, attributes and paths.

The attributes object is a key/value hash of compiled graph attributes for all paths followed.

The paths array enumerates each path from this Policy to the corresponding System Group; this array represents all grouping and/or associations that would have to be removed to deprovision the System Group from this Policy.

See /members and /associations endpoints to manage those collections.

Sample Request

curl -X GET  https://console.jumpcloud.com/api/v2/policies/{Policy_ID}/systemgroups \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}'
operationId: graph_policyTraverseSystemGroup

Parameters

Name In Required Type Description
policy_id path required string

ObjectID of the Command.

limit query optional integer

The number of records to return at once. Limited to 100.

x-org-id header optional string

Organization identifier that can be obtained from console settings.

skip query optional integer

The offset into the records to return.

filter query optional array

A filter to apply to the query.

Filter structure: <field>:<operator>:<value>.

field = Populate with a valid field from an endpoint response.

operator = Supported operators are: eq, ne, gt, ge, lt, le, between, search, in.
Note: v1 operators differ from v2 operators.

value = Populate with the value you want to search for. Is case sensitive. Supports wild cards.

EX: GET /api/v2/groups?filter=name:eq:Test+Group

Responses

200

OK

GET /policies/{policy_id}/systemgroups
GET /policies/{policy_id}/systems

This endpoint will return all Systems bound to a Policy, either directly or indirectly, essentially traversing the JumpCloud Graph for your Organization.

Each element will contain the type, id, attributes and paths.

The attributes object is a key/value hash of compiled graph attributes for all paths followed.

The paths array enumerates each path from this Policy to the corresponding System; this array represents all grouping and/or associations that would have to be removed to deprovision the System from this Policy.

See /members and /associations endpoints to manage those collections.

Sample Request

curl -X GET https://console.jumpcloud.com/api/v2/policies/{Policy_ID}/systems \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}'
operationId: graph_policyTraverseSystem

Parameters

Name In Required Type Description
policy_id path required string

ObjectID of the Command.

limit query optional integer

The number of records to return at once. Limited to 100.

x-org-id header optional string

Organization identifier that can be obtained from console settings.

skip query optional integer

The offset into the records to return.

filter query optional array

A filter to apply to the query.

Filter structure: <field>:<operator>:<value>.

field = Populate with a valid field from an endpoint response.

operator = Supported operators are: eq, ne, gt, ge, lt, le, between, search, in.
Note: v1 operators differ from v2 operators.

value = Populate with the value you want to search for. Is case sensitive. Supports wild cards.

EX: GET /api/v2/groups?filter=name:eq:Test+Group

Responses

200

OK

GET /policies/{policy_id}/systems
GET /policygroups/{group_id}/associations

This endpoint returns the direct associations of this Policy Group.

A direct association can be a non-homogeneous relationship between 2 different objects, for example Policy Groups and Policies.

Sample Request

curl -X GET https://console.jumpcloud.com/api/v2/policygroups/{GroupID}/associations?targets=system \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}'
operationId: graph_policyGroupAssociationsList

Parameters

Name In Required Type Description
group_id path required string

ObjectID of the Policy Group.

targets query optional array

Targets which a “policy_group” can be associated to.

limit query optional integer

The number of records to return at once. Limited to 100.

skip query optional integer

The offset into the records to return.

x-org-id header optional string

Organization identifier that can be obtained from console settings.

Responses

200

OK

GET /policygroups/{group_id}/associations
POST /policygroups/{group_id}/associations

This endpoint manages the direct associations of this Policy Group.

A direct association can be a non-homogeneous relationship between 2 different objects, for example Policy Groups and Policies.

Sample Request

curl -X POST https://console.jumpcloud.com/api/v2/policygroups/{GroupID}/associations \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}' \
  -d '{
    "op": "add",
    "type": "system",
    "id": "{SystemID}"
  }'
operationId: graph_policyGroupAssociationsPost

Parameters

Name In Required Type Description
group_id path required string

ObjectID of the Policy Group.

x-org-id header optional string

Organization identifier that can be obtained from console settings.

Request Body

application/json
schema GraphOperation-PolicyGroup
Property Type Required
id string required
op string required
type string required
attributes object optional

Responses

204

OK

POST /policygroups/{group_id}/associations
GET /policygroups/{group_id}/members

This endpoint returns the Policy members of a Policy Group.

Sample Request

curl -X GET https://console.jumpcloud.com/api/v2/policygroups/{GroupID}/members \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}'
operationId: graph_policyGroupMembersList

Parameters

Name In Required Type Description
group_id path required string

ObjectID of the Policy Group.

limit query optional integer

The number of records to return at once. Limited to 100.

skip query optional integer

The offset into the records to return.

x-org-id header optional string

Organization identifier that can be obtained from console settings.

Responses

200

OK

GET /policygroups/{group_id}/members
POST /policygroups/{group_id}/members

This endpoint allows you to manage the Policy members of a Policy Group.

Sample Request

curl -X POST https://console.jumpcloud.com/api/v2/policygroups/{GroupID}/members \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}' \
  -d '{
    "op": "add",
    "type": "policy",
    "id": "{Policy_ID}"
  }'
operationId: graph_policyGroupMembersPost

Parameters

Name In Required Type Description
group_id path required string

ObjectID of the Policy Group.

x-org-id header optional string

Organization identifier that can be obtained from console settings.

Request Body

application/json
schema GraphOperation-PolicyGroup-Member
Property Type Required
id string required
op string required
type string required
attributes object optional

Responses

204

OK

POST /policygroups/{group_id}/members
GET /policygroups/{group_id}/membership

This endpoint returns all Policy members that are a member of this Policy Group.

Sample Request

curl -X GET https://console.jumpcloud.com/api/v2/policygroups/{GroupID}/membership \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}'
operationId: graph_policyGroupMembership

Parameters

Name In Required Type Description
group_id path required string

ObjectID of the Policy Group.

filter query optional array

A filter to apply to the query.

Filter structure: <field>:<operator>:<value>.

field = Populate with a valid field from an endpoint response.

operator = Supported operators are: eq, ne, gt, ge, lt, le, between, search, in.
Note: v1 operators differ from v2 operators.

value = Populate with the value you want to search for. Is case sensitive. Supports wild cards.

EX: GET /api/v2/groups?filter=name:eq:Test+Group

limit query optional integer

The number of records to return at once. Limited to 100.

skip query optional integer

The offset into the records to return.

sort query optional array

The comma separated fields used to sort the collection.
Default sort is ascending, prefix with - to sort descending.

x-org-id header optional string

Organization identifier that can be obtained from console settings.

Responses

200

OK

GET /policygroups/{group_id}/membership
GET /policygroups/{group_id}/systemgroups

This endpoint will return all System Groups bound to a Policy Group, either directly or indirectly, essentially traversing the JumpCloud Graph for your Organization.

Each element will contain the type, id, attributes and paths.

The attributes object is a key/value hash of compiled graph attributes for all paths followed.

The paths array enumerates each path from this Policy Group to the corresponding System Group; this array represents all grouping and/or associations that would have to be removed to deprovision the System Group from this Policy Group.

See /members and /associations endpoints to manage those collections.

Sample Request

curl -X GET https://console.jumpcloud.com/api/v2/policygroups/{GroupID}/systemgroups \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}'
operationId: graph_policyGroupTraverseSystemGroup

Parameters

Name In Required Type Description
group_id path required string

ObjectID of the Policy Group.

limit query optional integer

The number of records to return at once. Limited to 100.

x-org-id header optional string

Organization identifier that can be obtained from console settings.

skip query optional integer

The offset into the records to return.

filter query optional array

A filter to apply to the query.

Filter structure: <field>:<operator>:<value>.

field = Populate with a valid field from an endpoint response.

operator = Supported operators are: eq, ne, gt, ge, lt, le, between, search, in.
Note: v1 operators differ from v2 operators.

value = Populate with the value you want to search for. Is case sensitive. Supports wild cards.

EX: GET /api/v2/groups?filter=name:eq:Test+Group

Responses

200

OK

GET /policygroups/{group_id}/systemgroups
GET /policygroups/{group_id}/systems

This endpoint will return all Systems bound to a Policy Group, either directly or indirectly, essentially traversing the JumpCloud Graph for your Organization.

Each element will contain the type, id, attributes and paths

The attributes object is a key/value hash of compiled graph attributes for all paths followed.

The paths array enumerates each path from this Policy Group to the corresponding System; this array represents all grouping and/or associations that would have to be removed to deprovision the System from this Policy Group.

See /members and /associations endpoints to manage those collections.

Sample Request

curl -X GET https://console.jumpcloud.com/api/v2/policygroups/{GroupID}/systems \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}'
operationId: graph_policyGroupTraverseSystem

Parameters

Name In Required Type Description
group_id path required string

ObjectID of the Policy Group.

limit query optional integer

The number of records to return at once. Limited to 100.

x-org-id header optional string

Organization identifier that can be obtained from console settings.

skip query optional integer

The offset into the records to return.

filter query optional array

A filter to apply to the query.

Filter structure: <field>:<operator>:<value>.

field = Populate with a valid field from an endpoint response.

operator = Supported operators are: eq, ne, gt, ge, lt, le, between, search, in.
Note: v1 operators differ from v2 operators.

value = Populate with the value you want to search for. Is case sensitive. Supports wild cards.

EX: GET /api/v2/groups?filter=name:eq:Test+Group

Responses

200

OK

GET /policygroups/{group_id}/systems
GET /radiusservers/{radiusserver_id}/associations

This endpoint returns the direct associations of a Radius Server.

A direct association can be a non-homogeneous relationship between 2 different objects, for example Radius Servers and Users.

Sample Request

curl -X GET https://console.jumpcloud.com/api/v2/radiusservers/{RADIUS_ID}/associations?targets=user_group \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}'
operationId: graph_radiusServerAssociationsList

Parameters

Name In Required Type Description
radiusserver_id path required string

ObjectID of the Radius Server.

targets query optional array

Targets which a “radius_server” can be associated to.

limit query optional integer

The number of records to return at once. Limited to 100.

skip query optional integer

The offset into the records to return.

x-org-id header optional string

Organization identifier that can be obtained from console settings.

Responses

200

OK

GET /radiusservers/{radiusserver_id}/associations
POST /radiusservers/{radiusserver_id}/associations

This endpoint allows you to manage the direct associations of a Radius Server.

A direct association can be a non-homogeneous relationship between 2 different objects, for example Radius Servers and Users.

Sample Request

curl -X POST https://console.jumpcloud.com/api/v2/radiusservers/{RADIUS_ID}/associations \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}' \
  -d '{
	
"type":"user", 
"id":"{USER_ID}", 
"op":"add"
	
}'
operationId: graph_radiusServerAssociationsPost

Parameters

Name In Required Type Description
radiusserver_id path required string

ObjectID of the Radius Server.

x-org-id header optional string

Organization identifier that can be obtained from console settings.

Request Body

application/json
schema GraphOperation-RadiusServer
Property Type Required
id string required
op string required
type string required
attributes object optional

Responses

204

OK

POST /radiusservers/{radiusserver_id}/associations
GET /radiusservers/{radiusserver_id}/usergroups

This endpoint will return all Users Groups bound to a RADIUS Server, either directly or indirectly, essentially traversing the JumpCloud Graph for your Organization.

Each element will contain the group’s type, id, attributes and paths.

The attributes object is a key/value hash of compiled graph attributes for all paths followed.

The paths array enumerates each path from this RADIUS server instance to the corresponding User Group; this array represents all grouping and/or associations that would have to be removed to deprovision the User Group from this RADIUS server instance.

See /members and /associations endpoints to manage those collections.

Sample Request

curl -X GET https://console.jumpcloud.com/api/v2/radiusservers/{RADIUS_ID}/usergroups \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}'
operationId: graph_radiusServerTraverseUserGroup

Parameters

Name In Required Type Description
radiusserver_id path required string

ObjectID of the Radius Server.

limit query optional integer

The number of records to return at once. Limited to 100.

x-org-id header optional string

Organization identifier that can be obtained from console settings.

skip query optional integer

The offset into the records to return.

filter query optional array

A filter to apply to the query.

Filter structure: <field>:<operator>:<value>.

field = Populate with a valid field from an endpoint response.

operator = Supported operators are: eq, ne, gt, ge, lt, le, between, search, in.
Note: v1 operators differ from v2 operators.

value = Populate with the value you want to search for. Is case sensitive. Supports wild cards.

EX: GET /api/v2/groups?filter=name:eq:Test+Group

Responses

200

OK

GET /radiusservers/{radiusserver_id}/usergroups
GET /radiusservers/{radiusserver_id}/users

This endpoint will return all Users bound to a RADIUS Server, either directly or indirectly, essentially traversing the JumpCloud Graph for your Organization.

Each element will contain the type, id, attributes and paths.

The attributes object is a key/value hash of compiled graph attributes for all paths followed.

The paths array enumerates each path from this RADIUS server instance to the corresponding User; this array represents all grouping and/or associations that would have to be removed to deprovision the User from this RADIUS server instance.

See /members and /associations endpoints to manage those collections.

Sample Request

curl -X GET https://console.jumpcloud.com/api/v2/ldapservers/{LDAP_ID}/users \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}'
operationId: graph_radiusServerTraverseUser

Parameters

Name In Required Type Description
radiusserver_id path required string

ObjectID of the Radius Server.

limit query optional integer

The number of records to return at once. Limited to 100.

x-org-id header optional string

Organization identifier that can be obtained from console settings.

skip query optional integer

The offset into the records to return.

filter query optional array

A filter to apply to the query.

Filter structure: <field>:<operator>:<value>.

field = Populate with a valid field from an endpoint response.

operator = Supported operators are: eq, ne, gt, ge, lt, le, between, search, in.
Note: v1 operators differ from v2 operators.

value = Populate with the value you want to search for. Is case sensitive. Supports wild cards.

EX: GET /api/v2/groups?filter=name:eq:Test+Group

Responses

200

OK

GET /radiusservers/{radiusserver_id}/users
GET /softwareapps/{software_app_id}/associations

This endpoint will return the direct associations of a Software Application. A direct association can be a non-homogeneous relationship between 2 different objects, for example Software Application and System Groups.

Sample Request

curl -X GET https://console.jumpcloud.com/api/v2/softwareapps/{software_app_id}/associations?targets=system_group \
  -H 'accept: application/json' \
  -H 'content-type: application/json' \
  -H 'x-api-key: {API_KEY}'
operationId: graph_softwareappsAssociationsList

Parameters

Name In Required Type Description
software_app_id path required string

ObjectID of the Software App.

targets query optional array

Targets which a “software_app” can be associated to.

limit query optional integer

The number of records to return at once. Limited to 100.

skip query optional integer

The offset into the records to return.

x-org-id header optional string

Organization identifier that can be obtained from console settings.

Responses

200

OK

GET /softwareapps/{software_app_id}/associations
POST /softwareapps/{software_app_id}/associations

This endpoint allows you to associate or disassociate a software application to a system or system group.

Sample Request

$ curl -X POST https://console.jumpcloud.com/api/v2/softwareapps/{software_app_id}/associations \
-H 'Accept: application/json' \
-H 'Content-Type: application/json' \
-H 'x-api-key: {API_KEY}' \
-d '{
  "id": "<object_id>",
  "op": "add",
  "type": "system"
 }'
operationId: graph_softwareappsAssociationsPost

Parameters

Name In Required Type Description
software_app_id path required string

ObjectID of the Software App.

x-org-id header optional string

Organization identifier that can be obtained from console settings.

Request Body

application/json
schema GraphOperation-SoftwareApp
Property Type Required
id string required
op string required
type string required
attributes object optional

Responses

204
POST /softwareapps/{software_app_id}/associations
GET /softwareapps/{software_app_id}/systemgroups

This endpoint will return all Systems Groups bound to a Software App, either directly or indirectly, essentially traversing the JumpCloud Graph for your Organization.

Each element will contain the group’s type, id, attributes and paths.

The attributes object is a key/value hash of compiled graph attributes for all paths followed.

The paths array enumerates each path from this Software App to the corresponding System Group; this array represents all grouping and/or associations that would have to be removed to deprovision the System Group from this Software App.

See /associations endpoint to manage those collections.

Sample Request

curl -X GET  https://console.jumpcloud.com/api/v2/softwareapps/{software_app_id}/systemgroups \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}'
operationId: graph_softwareappsTraverseSystemGroup

Parameters

Name In Required Type Description
software_app_id path required string

ObjectID of the Software App.

limit query optional integer

The number of records to return at once. Limited to 100.

x-org-id header optional string

Organization identifier that can be obtained from console settings.

skip query optional integer

The offset into the records to return.

filter query optional array

A filter to apply to the query.

Filter structure: <field>:<operator>:<value>.

field = Populate with a valid field from an endpoint response.

operator = Supported operators are: eq, ne, gt, ge, lt, le, between, search, in.
Note: v1 operators differ from v2 operators.

value = Populate with the value you want to search for. Is case sensitive. Supports wild cards.

EX: GET /api/v2/groups?filter=name:eq:Test+Group

Responses

200

OK

GET /softwareapps/{software_app_id}/systemgroups
GET /softwareapps/{software_app_id}/systems

This endpoint will return all Systems bound to a Software App, either directly or indirectly, essentially traversing the JumpCloud Graph for your Organization.

Each element will contain the type, id, attributes and paths.

The attributes object is a key/value hash of compiled graph attributes for all paths followed.

The paths array enumerates each path from this Software App to the corresponding System; this array represents all grouping and/or associations that would have to be removed to deprovision the System from this Software App.

See /associations endpoint to manage those collections.

Sample Request

curl -X GET https://console.jumpcloud.com/api/v2/softwareapps/{software_app_id}/systems \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}'
operationId: graph_softwareappsTraverseSystem

Parameters

Name In Required Type Description
software_app_id path required string

ObjectID of the Software App.

limit query optional integer

The number of records to return at once. Limited to 100.

x-org-id header optional string

Organization identifier that can be obtained from console settings.

skip query optional integer

The offset into the records to return.

filter query optional array

A filter to apply to the query.

Filter structure: <field>:<operator>:<value>.

field = Populate with a valid field from an endpoint response.

operator = Supported operators are: eq, ne, gt, ge, lt, le, between, search, in.
Note: v1 operators differ from v2 operators.

value = Populate with the value you want to search for. Is case sensitive. Supports wild cards.

EX: GET /api/v2/groups?filter=name:eq:Test+Group

Responses

200

OK

GET /softwareapps/{software_app_id}/systems
Load more endpoints